!> \file climat-mismip3d_mod.f90
!!Module pour la lecture du climat des experience Heino
!<

!> \namespace climat_mismip3
!! Module pour la lecture du climat
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module3D_phy
!<


module  climat_mismip3             ! pour le climat des experiences Heino


use module3d_phy
use no_ablation

implicit none


contains
!______________________________________________________________________________

!>SUBROUTINE: input_clim
!!Initialise la distance au centre
!<

  subroutine input_clim                  ! initialise la distance au centre


    if (itracebug.eq.1)  call tracebug(' Mismip3D: entree dans routine input_clim')


    abl(:,:)=0.00
    bm(:,:)= 0.30               ! en m/an
    acc(:,:)=bm(:,:)


    where (mk0.eq.0) bm(:,:)=0.               ! 0 dans l'ocean


    Tann(:,:)=-100.0 
    Ts(:,:)=-100.0


    return
  end subroutine input_clim

!--------------------------------------------------------------------------------
!> SUBROUTINE: init_forclim
!! Routine qui permet d'initialiser les variables climatiques au cours du temps
!>
subroutine init_forclim

     if (itracebug.eq.1)  call tracebug(' Mismip3D: entree dans routine init_forclim')

return
end subroutine init_forclim

!__________________________________________________________________________

!>SUBROUTINE: forclim
!! Clacule du climat au cours du temps
!<
subroutine forclim
if (itracebug.eq.1)  call tracebug(' Mismip3D	: entree dans routine forclim')


    abl(:,:)=0.00
    bm(:,:)= 0.30
    acc(:,:)=bm(:,:)

!if (time.gt.time_change) then
!   Tann(:,:)=Tann(:,:)+deltaTann
!   Ts(:,:)=Tann(:,:)
!   bm(:,:)=bm(:,:)*ratiobil
!endif


end subroutine forclim

end module climat_mismip3
