!> \file flow_general-0.3.f90
!!Calcul des temperatures et des fractions utiles dans le calcul de Flowlaw
!<


!> SUBROUTINE: FLOW_GENERAL
!!  
!! Cette routine calcul des temperatures et des 
!! fractions utiles dans le calcul de FLOWLAW.
!! \author ...
!! \date 25 Novembre 1999
!! @note
!! variables en entree :
!!                       - TPMP
!!                       - T
!!                       
!! variables en sortie : 
!!                       - TETA ces trois tableaux de valeurs seront utilises dans flowlaw.
!!                       - TI2      
!!                       - TETAR
!!
!! @note Used modules:
!! @note   - use module3D_phy
!! @note   - use module_choix
!>



subroutine FLOW_GENERAL

  USE module3D_phy
  !      USE DEFORM_DECLAR  ! module de declaration des variables de la deformation
  USE module_choix
  implicit none

  TETA(:,:,:) = T(:,:,1:NZ)-TPMP(:,:,:)


  do K=NZ-1,1,-1
     do I=2,NX-1
        do J=2,NY-1
           TI2(I,J,K) = (273.15+(TPMP(I,J,K+1)+TPMP(I,J,K))/2.)* &
                (273.15+(T(I,J,K+1)+T(I,J,K))/2.)
        end do
     end do
  end do

END SUBROUTINE FLOW_GENERAL
