!> \file noisostasie_mod-0.3.f90
!! Module permettant ne pas tenir compte de l'isostasie dans le modele
!<

!> \namespace NOISOSTASIE_MOD
!! Module qui permet de ne pas tenir compte de l'isostasie
!! \author ...
!! \date 19 Novembre 1999
!! @note  nbed = 0 : le main ne passe dans aucune routine de l'isostasie
!!  bedrock est vide
!<

MODULE NOISOSTASIE_MOD

INTEGER :: NBED      !< permet de choisir quel type d'isostasie est utilise
                     !< 0 rien, 1 relaxation
 

CONTAINS
!> SUBROUTINE: init_iso
!! Routine pour le choix d'utilisation ou non de l'isostasie 
!>
SUBROUTINE INIT_ISO
  implicit none

nbed = 0  ! pas d'isostasie

END SUBROUTINE INIT_ISO
!> SUBROUTINE: bedrock
!! Si la routine est vide pas d'isostasie 
!>
SUBROUTINE BEDROCK
! la subroutine bedrock est vide : pas d'isostasie
END SUBROUTINE BEDROCK

END MODULE NOISOSTASIE_MOD
